#!/usr/bin/perl
use strict ;
use warnings ;
use autodie ;

use Test::More tests => 6;

use Stanford::Orange::Util
  qw/
    config_file_lines
    / ;


my @lines ;

@lines = config_file_lines('t/empty.txt') ;
ok (scalar(@lines) == 0) ;

@lines = config_file_lines('t/all_comments.txt') ;
ok (scalar(@lines) == 0) ;

@lines = config_file_lines('t/config.txt') ;
ok (scalar(@lines) == 3) ;
ok ($lines[0] eq 'a = 12.3') ;
ok ($lines[1] eq 'b = 6.9') ;
ok ($lines[2] eq 'r = a b c d') ;
